# _RunAsync
<span class="source-link">[[Source]](src/ponybench/_runner.md#L72)</span>
```pony
actor tag _RunAsync is
  _Runner tag
```

#### Implements

* [_Runner](ponybench-_Runner.md) tag

---

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_runner.md#L92)</span>


```pony
new tag create(
  ponybench: PonyBench tag,
  benchmark: AsyncMicroBenchmark iso,
  overhead: Bool val)
: _RunAsync tag^
```
#### Parameters

*   ponybench: [PonyBench](ponybench-PonyBench.md) tag
*   benchmark: [AsyncMicroBenchmark](ponybench-AsyncMicroBenchmark.md) iso
*   overhead: [Bool](builtin-Bool.md) val

#### Returns

* [_RunAsync](ponybench-_RunAsync.md) tag^

---

## Public Behaviours

### apply
<span class="source-link">[[Source]](src/ponybench/_runner.md#L103)</span>


```pony
be apply()
```

---

## Private Behaviours

### _before_done_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L106)</span>


```pony
be _before_done_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64.md) val

---

### _before_iteration_done_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L112)</span>


```pony
be _before_iteration_done_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64.md) val

---

### _run_iteration
<span class="source-link">[[Source]](src/ponybench/_runner.md#L115)</span>


```pony
be _run_iteration()
```

---

### _iteration_done_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L125)</span>


```pony
be _iteration_done_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64.md) val

---

### _after_iteration_done_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L129)</span>


```pony
be _after_iteration_done_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64.md) val

---

### _after_done_cont
<span class="source-link">[[Source]](src/ponybench/_runner.md#L136)</span>


```pony
be _after_done_cont(
  e: U64 val)
```
#### Parameters

*   e: [U64](builtin-U64.md) val

---

### _fail
<span class="source-link">[[Source]](src/ponybench/_runner.md#L139)</span>


```pony
be _fail()
```

---

## Private Functions

### _gc_next_behavior
<span class="source-link">[[Source]](src/ponybench/_runner.md#L142)</span>


```pony
fun ref _gc_next_behavior()
: None val
```

#### Returns

* [None](builtin-None.md) val

---

